Skip to main content
GET
/
analytics
/
waba
Detalhes do WABA
curl --request GET \
  --url https://apis.vectalk.com.br/api/analytics/waba \
  --header 'Authorization: Bearer <token>'

Documentation Index

Fetch the complete documentation index at: https://docs.vectalk.com.br/llms.txt

Use this file to discover all available pages before exploring further.

Requer token de instância. O WABA ID é resolvido automaticamente pelo token — não é necessário informar o waba-id.

Parâmetros

Query

fields
string
Campos a retornar, separados por vírgula. Exemplos: id, name, currency, message_template_namespace, timezone_id, is_enabled_for_insights.

Exemplo de Requisição

curl --request GET \
  --url 'https://apis.vectalk.com.br/api/analytics/waba?fields=id,name,currency,timezone_id' \
  --header 'Authorization: Bearer {seu_token}'

Resposta

{
  "id": "123456789",
  "name": "Minha Empresa WABA",
  "currency": "BRL",
  "timezone_id": "25"
}

Atualizar WABA

POST /api/analytics/waba Atualiza dados do WABA.

Exemplo

curl --request POST \
  --url https://apis.vectalk.com.br/api/analytics/waba \
  --header 'Authorization: Bearer {seu_token}' \
  --header 'Content-Type: application/json' \
  --data '{
    "is_enabled_for_insights": true
  }'

Resposta

{
  "success": true
}